<div class="container our-works-container">
    <div class="ourwork-bg position-absolute">
      <svg xmlns="http://www.w3.org/2000/svg" width="597.875" height="686.057" viewBox="0 0 597.875 686.057">
        <defs>
          <style>
            .a {
                  opacity: 0.3;
                }
        
                .b,
                .c {
                  fill: none;
                  stroke: #fff;
                  stroke-width: 4px;
                }
        
                .b {
                  stroke-miterlimit: 10;
                }
        
                .c {
                  stroke-linejoin: round;
                }
        
                .d {
                  fill: #fff;
                }
              </style>
        </defs>
       
        <g class="a" transform="translate(-662.172 -17.763)">
          <g transform="translate(987.779 667.992)">
            <line class="b" x2="16.6" transform="translate(0 8.3)" />
            <line class="b" y2="16.6" transform="translate(8.3)" />
          </g>
          <g class="transform-box">
          <path class="c" d="M361.8,114.047l9.162-15.868,9.162,15.868Z" transform="translate(302.37 -78.416)" />
          <animateTransform _ngcontent-rvo-c1="" attributeName="transform" dur="10s" from="360 10.51 9.1" repeatDur="indefinite"
                  to="0 10.51 9.1" type="rotate"></animateTransform>
          </g>
          <g class="transform-box">
          <path class="c" d="M368.441,400.722l-9.162,15.868-9.162-15.868Z" transform="translate(875.813 -76.533)" />
          <animateTransform _ngcontent-rvo-c1="" attributeName="transform" dur="10s" from="360 10.51 9.1" repeatDur="indefinite"
          to="0 10.51 9.1" type="rotate"></animateTransform>
          </g>
          
          <g transform="translate(1234.264 109.998) rotate(-45.004)">
          <rect class="b" width="16.232" height="16.232">
          <animateTransform attributeName="transform" attributeType="XML"
                      type="rotate" dur="6s" from="0 8 8" to="-360 8 8"
                      repeatCount="indefinite" />
              </rect>
          </g>
          <g transform="translate(1213.873 522.488)">
            <g>
              <path class="d" d="M712.378,468.39a3.393,3.393,0,1,1,3.4,3.4A3.4,3.4,0,0,1,712.378,468.39Z" transform="translate(-675.776 -290.453)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M699.976,468.39a3.393,3.393,0,1,1,3.394,3.4A3.395,3.395,0,0,1,699.976,468.39Z" transform="translate(-681.675 -290.453)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M687.573,468.39a3.394,3.394,0,1,1,3.392,3.4A3.394,3.394,0,0,1,687.573,468.39Z" transform="translate(-687.573 -290.453)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M712.378,455.246a3.393,3.393,0,1,1,3.4,3.392A3.393,3.393,0,0,1,712.378,455.246Z"
                transform="translate(-675.776 -296.703)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.2" />
            </g>
            <g>
              <path class="d" d="M699.976,455.246a3.393,3.393,0,1,1,3.394,3.392A3.391,3.391,0,0,1,699.976,455.246Z"
                transform="translate(-681.675 -296.703)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.2" />
            </g>
            <g>
              <path class="d" d="M687.573,455.246a3.394,3.394,0,1,1,3.392,3.392A3.391,3.391,0,0,1,687.573,455.246Z"
                transform="translate(-687.573 -296.703)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.2" />
            </g>
            <g>
              <path class="d" d="M712.378,442.105a3.393,3.393,0,1,1,3.4,3.392A3.395,3.395,0,0,1,712.378,442.105Z"
                transform="translate(-675.776 -302.954)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.3" />
            </g>
            <g>
              <path class="d" d="M699.976,442.105a3.393,3.393,0,1,1,3.394,3.392A3.393,3.393,0,0,1,699.976,442.105Z"
                transform="translate(-681.675 -302.954)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.3" />
            </g>
            <g>
              <path class="d" d="M687.573,442.105a3.394,3.394,0,1,1,3.392,3.392A3.392,3.392,0,0,1,687.573,442.105Z"
                transform="translate(-687.573 -302.954)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.3" />
            </g>
            <g>
              <path class="d" d="M712.378,428.959a3.393,3.393,0,1,1,3.4,3.4A3.4,3.4,0,0,1,712.378,428.959Z" transform="translate(-675.776 -309.204)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.4" />
            </g>
            <g>
              <path class="d" d="M699.976,428.959a3.393,3.393,0,1,1,3.394,3.4A3.393,3.393,0,0,1,699.976,428.959Z"
                transform="translate(-681.675 -309.204)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.4" />
            </g>
            <g>
              <path class="d" d="M687.573,428.959a3.394,3.394,0,1,1,3.392,3.4A3.393,3.393,0,0,1,687.573,428.959Z"
                transform="translate(-687.573 -309.204)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.4" />
            </g>
            <g>
              <path class="d" d="M712.378,415.817a3.393,3.393,0,1,1,3.4,3.391A3.394,3.394,0,0,1,712.378,415.817Z"
                transform="translate(-675.776 -315.454)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.5" />
            </g>
            <g>
              <path class="d" d="M699.976,415.817a3.393,3.393,0,1,1,3.394,3.391A3.392,3.392,0,0,1,699.976,415.817Z"
                transform="translate(-681.675 -315.454)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.5" />
            </g>
            <g>
              <path class="d" d="M687.573,415.817a3.394,3.394,0,1,1,3.392,3.391A3.392,3.392,0,0,1,687.573,415.817Z"
                transform="translate(-687.573 -315.454)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.5" />
            </g>
            <g>
              <path class="d" d="M712.378,402.675a3.393,3.393,0,1,1,3.4,3.392A3.4,3.4,0,0,1,712.378,402.675Z" transform="translate(-675.776 -321.706)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.6" />
            </g>
            <g>
              <path class="d" d="M699.976,402.675a3.393,3.393,0,1,1,3.394,3.392A3.395,3.395,0,0,1,699.976,402.675Z"
                transform="translate(-681.675 -321.706)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.6" />
            </g>
            <g>
              <path class="d" d="M687.573,402.675a3.394,3.394,0,1,1,3.392,3.392A3.394,3.394,0,0,1,687.573,402.675Z"
                transform="translate(-687.573 -321.706)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.6" />
            </g>
            <g>
              <path class="d" d="M712.378,389.529a3.393,3.393,0,1,1,3.4,3.4A3.394,3.394,0,0,1,712.378,389.529Z" transform="translate(-675.776 -327.956)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.7" />
            </g>
            <g>
              <path class="d" d="M699.976,389.529a3.393,3.393,0,1,1,3.394,3.4A3.392,3.392,0,0,1,699.976,389.529Z"
                transform="translate(-681.675 -327.956)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.7" />
            </g>
            <g>
              <path class="d" d="M687.573,389.529a3.394,3.394,0,1,1,3.392,3.4A3.391,3.391,0,0,1,687.573,389.529Z"
                transform="translate(-687.573 -327.956)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.7" />
            </g>
            <g>
              <path class="d" d="M712.378,376.387a3.393,3.393,0,1,1,3.4,3.392A3.394,3.394,0,0,1,712.378,376.387Z"
                transform="translate(-675.776 -334.207)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.8" />
            </g>
            <g>
              <path class="d" d="M699.976,376.387a3.393,3.393,0,1,1,3.394,3.392A3.392,3.392,0,0,1,699.976,376.387Z"
                transform="translate(-681.675 -334.207)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.8" />
            </g>
            <g>
              <path class="d" d="M687.573,376.387a3.394,3.394,0,1,1,3.392,3.392A3.392,3.392,0,0,1,687.573,376.387Z"
                transform="translate(-687.573 -334.207)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.8" />
            </g>
            <g>
              <path class="d" d="M712.378,363.245a3.393,3.393,0,1,1,3.4,3.392A3.4,3.4,0,0,1,712.378,363.245Z" transform="translate(-675.776 -340.457)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.9" />
            </g>
            <g>
              <path class="d" d="M699.976,363.245a3.393,3.393,0,1,1,3.394,3.392A3.394,3.394,0,0,1,699.976,363.245Z"
                transform="translate(-681.675 -340.457)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.9" />
            </g>
            <g>
              <path class="d" d="M687.573,363.245a3.394,3.394,0,1,1,3.392,3.392A3.394,3.394,0,0,1,687.573,363.245Z"
                transform="translate(-687.573 -340.457)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.9" />
            </g>
            <g>
              <path class="d" d="M712.378,350.1a3.393,3.393,0,1,1,3.4,3.4A3.394,3.394,0,0,1,712.378,350.1Z" transform="translate(-675.776 -346.708)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.10" />
            </g>
            <g>
              <path class="d" d="M699.976,350.1a3.393,3.393,0,1,1,3.394,3.4A3.392,3.392,0,0,1,699.976,350.1Z" transform="translate(-681.675 -346.708)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.10" />
            </g>
            <g>
              <path class="d" d="M687.573,350.1a3.394,3.394,0,1,1,3.392,3.4A3.392,3.392,0,0,1,687.573,350.1Z" transform="translate(-687.573 -346.708)" />
              <animate attributeName="opacity" dur="1.5s" values="0;1;0" repeatCount="indefinite" begin="0.10" />
            </g>
          </g>
          <g transform="translate(957.808 35.27)">
            <g>
              <path class="d" d="M613.666,25.534a3.394,3.394,0,1,1-3.4,3.4A3.4,3.4,0,0,1,613.666,25.534Z" transform="translate(-610.271 -7.234)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M613.666,13.132a3.393,3.393,0,1,1-3.4,3.4A3.395,3.395,0,0,1,613.666,13.132Z" transform="translate(-610.271 -13.132)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M626.808,25.534a3.394,3.394,0,1,1-3.392,3.4A3.393,3.393,0,0,1,626.808,25.534Z" transform="translate(-604.019 -7.234)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M626.808,13.132a3.393,3.393,0,1,1-3.392,3.4A3.391,3.391,0,0,1,626.808,13.132Z" transform="translate(-604.019 -13.132)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M639.95,25.534a3.394,3.394,0,1,1-3.391,3.4A3.395,3.395,0,0,1,639.95,25.534Z" transform="translate(-597.769 -7.234)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
            <g>
              <path class="d" d="M639.95,13.132a3.393,3.393,0,1,1-3.391,3.4A3.393,3.393,0,0,1,639.95,13.132Z" transform="translate(-597.769 -13.132)" />
              <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
            </g>
              <g>
                <path class="d" d="M653.1,25.534a3.394,3.394,0,1,1-3.4,3.4A3.4,3.4,0,0,1,653.1,25.534Z" transform="translate(-591.519 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M653.1,13.132a3.393,3.393,0,1,1-3.4,3.4A3.393,3.393,0,0,1,653.1,13.132Z" transform="translate(-591.519 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M666.237,25.534a3.394,3.394,0,1,1-3.391,3.4A3.394,3.394,0,0,1,666.237,25.534Z"
                  transform="translate(-585.268 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M666.237,13.132a3.393,3.393,0,1,1-3.391,3.4A3.392,3.392,0,0,1,666.237,13.132Z"
                  transform="translate(-585.268 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M679.381,25.534a3.394,3.394,0,1,1-3.392,3.4A3.4,3.4,0,0,1,679.381,25.534Z" transform="translate(-579.018 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M679.381,13.132a3.393,3.393,0,1,1-3.392,3.4A3.395,3.395,0,0,1,679.381,13.132Z"
                  transform="translate(-579.018 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M692.527,25.534a3.394,3.394,0,1,1-3.4,3.4A3.394,3.394,0,0,1,692.527,25.534Z" transform="translate(-572.767 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M692.527,13.132a3.393,3.393,0,1,1-3.4,3.4A3.392,3.392,0,0,1,692.527,13.132Z" transform="translate(-572.767 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M705.667,25.534a3.394,3.394,0,1,1-3.392,3.4A3.394,3.394,0,0,1,705.667,25.534Z"
                  transform="translate(-566.516 -7.234)" />
                  <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M705.667,13.132a3.393,3.393,0,1,1-3.392,3.4A3.392,3.392,0,0,1,705.667,13.132Z"
                  transform="translate(-566.516 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M718.81,25.534a3.394,3.394,0,1,1-3.392,3.4A3.4,3.4,0,0,1,718.81,25.534Z" transform="translate(-560.265 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M718.81,13.132a3.393,3.393,0,1,1-3.392,3.4A3.4,3.4,0,0,1,718.81,13.132Z" transform="translate(-560.265 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M731.955,25.534a3.394,3.394,0,1,1-3.4,3.4A3.394,3.394,0,0,1,731.955,25.534Z" transform="translate(-554.015 -7.234)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
              <g>
                <path class="d" d="M731.955,13.132a3.393,3.393,0,1,1-3.4,3.4A3.392,3.392,0,0,1,731.955,13.132Z" transform="translate(-554.015 -13.132)" />
                <animate attributeName="opacity" dur="3.5s" values="0;1;0" repeatCount="indefinite" begin="0.1" />
              </g>
            </g>
          </g>
      </svg>
    </div>
    <div class="bold-text">
      <a class="bold-text hvr-icon-wobble-horizontal" [routerLink]="['/home']"><img src="../../assets/images/back-icon.svg"
          alt="back" class="back-icon hvr-icon">Our Works</a>
    </div>
    <div class="row filter-container">
      <div id="test" class="col-sm-5 d-flex align-items-center flex-wrap flex-50">
        <div>
          <img src="../../assets/images/filter.svg" alt="filter-icon" />
          <span class="bold-text text-white">Filter By</span>
        </div>
        <div [ngClass]="{'current': filterBy === 'category' }" class="ml-3 fliterbtn">
            <button mat-button data-toggle="modal" data-target="#exampleModalLong" data-keyboard="true" (click)="changeFilter(categories, 'category')">Domains</button>
        </div>
        <!-- <div [ngClass]="{'current': filterBy === 'tagLine' }">
            <button mat-button data-toggle="modal" data-target="#exampleModalLong" data-keyboard="true" (click)="changeFilter(tagLines, 'tagLine')">Tags</button>
        </div>
        <div [ngClass]="{'current': filterBy === 'technologies' }">          
            <button mat-button data-toggle="modal" data-target="#exampleModalLong" data-keyboard="true" (click)="changeFilter(technologiesList, 'technologies')">Technologies</button>
        </div> -->
      </div>
      <div class="col-sm-7 text-right">
        We value our craft, have a deep passion for progression <br />
        and exist to solve challenges for brands we believe in.
      </div>
    </div>
    <div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true" (click)="filterBy = ''">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="option-item wow fadeInRight" *ngFor="let option of filters; let i = index" >
              <input type="checkbox" id={{option}}/>
              <label for= {{option}} (click)="filterWorks(i, option)">{{option}}</label>
            </div>
            <div class="option-item custom" *ngIf="filterData.length">
              <input type="checkbox"/>          
              <label  (click)="resetFilter()"><span class="reset-icon"></span>Reset Filters</label>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="work-tiles-container">
      <ul class="d-flex align-items-center flex-wrap p-0">
        <li *ngFor="let project of worksData; let i= index" class="work-tile-wrapper mt-1 mr-1">
          <a [routerLink]="['/works-desc', project.imageClass]" class="{{project.imageClass}} work-tile">
            <div class="text-content">
              <div class="project-name">{{project.projectName}}</div>
              <div class="tag-line">
                {{project.tagLine}}
                <img class="hvr-icon" src="../../assets/images/right-arrow.png" alt="arrow-icon" />
              </div>
            </div>
          </a>
        </li>
      </ul>
    </div>
  </div>

  